Skip to main content
GET
/
v0
/
pages
/
{page_id}
/
link
Get page group link
curl --request GET \
  --url https://api.tryarchitect.com/v0/pages/{page_id}/link \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.tryarchitect.com/v0/pages/{page_id}/link"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.tryarchitect.com/v0/pages/{page_id}/link', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "url": "<string>",
  "domain": "<string>",
  "path": "<string>"
}
{
  "code": "VALIDATION_ERROR",
  "detail": "body - name: Name is required; email: Invalid email address",
  "details": [
    {
      "field": "body",
      "issues": [
        {
          "code": "validation_failed",
          "message": "name: Name is required",
          "path": [
            "name"
          ]
        }
      ]
    }
  ],
  "requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
  "status": 400,
  "title": "Bad Request",
  "type": "https://api.tryarchitect.com/errors/validation_error"
}
{
  "code": "UNAUTHORIZED",
  "detail": "Authentication is required",
  "requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
  "status": 401,
  "title": "Unauthorized",
  "type": "https://api.tryarchitect.com/errors/unauthorized"
}
{
  "code": "FORBIDDEN",
  "detail": "Multi-tenant API keys are not supported",
  "requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
  "status": 403,
  "title": "Forbidden",
  "type": "https://api.tryarchitect.com/errors/forbidden"
}
{
  "code": "NOT_FOUND",
  "detail": "Audience not found",
  "requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
  "status": 404,
  "title": "Not Found",
  "type": "https://api.tryarchitect.com/errors/not_found"
}
{
  "code": "RATE_LIMITED",
  "detail": "Rate limit exceeded",
  "details": {
    "limit": 100,
    "remaining": 0,
    "resetTime": 1713225600000,
    "retryAfter": 60
  },
  "requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
  "status": 429,
  "title": "Too Many Requests",
  "type": "https://api.tryarchitect.com/errors/rate_limited"
}
{
  "code": "INTERNAL",
  "detail": "An unexpected error occurred",
  "requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
  "status": 500,
  "title": "Internal Server Error",
  "type": "https://api.tryarchitect.com/errors/internal"
}
{
  "code": "SERVICE_UNAVAILABLE",
  "detail": "The service is temporarily unavailable",
  "requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
  "status": 503,
  "title": "Service Unavailable",
  "type": "https://api.tryarchitect.com/errors/service_unavailable"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

page_id
string
required

page_id parameter

Query Parameters

tenantDomainId
string

Optional tenant domain ID for custom domain. If not provided, uses fallback subdomain.

Response

Successful operation

url
string
required

Full shareable URL for the page

domain
string
required

Domain used in the URL

path
string
required

Path portion of the URL